%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	GNOME control center
Name:		gnome-control-center
Version:	3.16.2
Release:	2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org/softwaremap/projects/control-center/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		lv3-typo-default-layout.patch
Patch1:		gnome-control-center-3.15.91-fontconfig.patch
Patch4:		gcc-increase-field-for-long-Russian-words.patch
Patch5:		gnome-control-center-3.16.2-drop-wacom-calibrate-button.patch

# added hardcoded launchers to control-center
Patch11:	gnome-control-center-3.16.1-ubuntu_external_panels.patch
# revert dropping library of g-c-c
Patch12:	revert_git_drop_library.patch

BuildRequires:	desktop-file-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	shared-mime-info
BuildRequires:	cups-devel
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(accountsservice) >= 0.6.39
BuildRequires:	pkgconfig(cheese-gtk) >= 2.91.91.1
BuildRequires:	pkgconfig(colord) >= 0.1.25
BuildRequires:	pkgconfig(colord-gtk) >= 0.1.25
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gnome-bluetooth-1.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.0
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.3.91
BuildRequires:	pkgconfig(goa-backend-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(grilo-0.2)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.13
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(libgnomekbd) >= 2.91.91
BuildRequires:	pkgconfig(libgnomekbdui) >= 2.91.91
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libnm-glib) >= 0.8.992
BuildRequires:	pkgconfig(libnm-glib-vpn) => 0.8.992
BuildRequires:	pkgconfig(libnm-util) >= 0.8.992
BuildRequires:	pkgconfig(libnm-gtk) >= 0.8.992
BuildRequires:	pkgconfig(libnotify) >= 0.7.3
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(libxklavier) >= 5.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(NetworkManager) >= 0.8.992
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(pwquality)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi) >= 1.2
BuildRequires:	pkgconfig(xxf86misc)
Requires:	cups-pk-helper
Requires:	gnome-settings-daemon >= 2.21.5

Suggests:	ntp

%description
GNOME Control-center is a configuration tool for easily setting up your
GNOME environment.

%files -f %{name}-2.0.lang
%doc AUTHORS NEWS README
%{_bindir}/gnome-control-center
%{_libexecdir}/gnome-control-center-search-provider
%{_libdir}/cc-remote-login-helper
%{_datadir}/applications/*
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/gnome-control-center/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/sounds/gnome/default/*
%{_datadir}/pixmaps
%{_datadir}/dbus-1/services/*
%{_datadir}/bash-completion/*
%{_datadir}/gnome-shell
%{_mandir}/man?/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/polkit-1/rules.d/*.rules

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for GNOME control center
Group:		System/Libraries
Conflicts:	gnome-control-center < 3.12.1-9

%description -n %{libname}
Shared library for GNOME control center

%files -n %{libname}
%{_libdir}/libgnome-control-center.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development libraries, include files for GNOME control center
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Obsoletes:	%{_lib}gnome-window-settings-devel < 3.12.1-9

%description -n %{devname}
Development libraries, include files for GNOME Control Center

%files -n %{devname}
%{_datadir}/pkgconfig/*
%{_libdir}/pkgconfig/*
%{_libdir}/libgnome-control-center.so
%{_includedir}/gnome-control-center-1/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static

# % make V=1
make V=1


%install
%makeinstall_std
find %{buildroot} -name '*.la' -exec rm -f {} \;
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

desktop-file-install --delete-original \
	--dir %{buildroot}%{_datadir}/applications \
	--add-only-show-in GNOME \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}-2.0 --with-gnome --all-name


%changelog

* Thu Dec 17 2015 Tigro <ashejn@gmail.com> 3.16.2-2
- (8dddc19) update to 3.16.2

* Thu Sep 10 2015 Stas Fomin <stas-fomin@yandex.ru> 3.12.1-14
- (441008a) Updated gnome-control-center.spec

* Mon Sep 07 2015 Stas Fomin <stas-fomin@yandex.ru> 3.12.1-13
- (cc5c4d1) Try usual make
- (Stas Fomin: 5714189) fix for NM tested and worked on my machine

* Sun Sep 06 2015 Stas Fomin <stas-fomin@yandex.ru> 3.12.1-10
- (f3e94ee) try to fix http://forum.rosalinux.com/viewtopic.php?t=5967&p=49362

* Tue Jul 14 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-2
- (e118064) bump release

* Tue Jul 14 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (3686a3e) drop Calibrate button on wacom panel
- (Tigro: 1118030) Revert "disable broken wacom support https://bugzilla.redhat.com/show_bug.cgi?id=1222377"
- (Tigro: 1118030) This reverts commit 377c96c8d151c9c9ec9ceb49146f0b64f5f02a5c.

* Sun Jul 12 2015 Tigro <ashejn@gmail.com> 3.16.2-2
- (377c96c) disable broken wacom support https://bugzilla.redhat.com/show_bug.cgi?id=1222377

* Wed May 13 2015 Tigro <ashejn@gmail.com> 3.16.2-1
- (a1a84d4) update to 3.16.2

* Thu Apr 16 2015 Tigro <ashejn@yandex-team.ru> 3.16.1-1
- (6a824a9) pack appdata xml
- (Tigro: a7ed852) update patch
- (Tigro: 2da5e0a) update to 3.16.1

* Wed Apr 01 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-3
- (ec04081) added XFdrake to GNOME Control Center panel

* Fri Mar 27 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-2
- (ba02c1e) bump release

* Mon Mar 23 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (64cbf75) added S: ntp
- (Tigro: e082541) update to 3.16.0
- (Tigro: a2393d4) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 3.15.92-1
- (0ce609d) update to 3.15.92

* Tue Mar 10 2015 Tigro <ashejn@yandex-team.ru> 3.15.91-1
- (52ec739) define version
- (Tigro: 55b832e) update fontconfig patch
- (Tigro: 491d4dc) update to 3.15.91

* Tue Mar 10 2015 Tigro <ashejn@yandex-team.ru> 3.12.1-9
- (858145f) update Ubuntu patches for GNOME 3.16
- (Andrey Bondrov: 6ef83d6) Fix files
- (Andrey Bondrov: b064fc5) Split library package according to our packaging policy
- (Andrey Bondrov: 2f71405) Spec cleanup

* Sat Oct 25 2014 Tigro <ashejn@gmail.com> 3.12.1-8
- (52a02c3) leave only gnome-tweak-tool

* Fri Oct 24 2014 Tigro <ashejn@gmail.com> 3.12.1-7
- (815c581) update desktop-file-install rules
- (Tigro: 7ea2596) fix typo and pack another pkgconfig
- (Tigro: 84bb2df) pack files
- (Tigro: bc4fd9f) added patch
- (Tigro: b9c68a5) added the way to add special desktop launchers to g-c-c

* Fri Sep 12 2014 Tigro <ashejn@gmail.com> 3.12.1-6
- (6dd9b17) rebuilt against new modemmanager

* Wed Aug 13 2014 Tigro <ashejn@gmail.com> 3.12.1-5
- (73779b9) bump release

* Wed Aug 13 2014 Tigro <ashejn@gmail.com> 3.12.1-4
- (64a8b45) increase size
- (Alex Burmashev: 6c53bef) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Tigro <ashejn@gmail.com> 3.12.1-3
- (b27e023) bump release to build against new colord

* Tue May 27 2014 Tigro <ashejn@gmail.com> 3.12.1-2
- (f350a73) apply gcc-increase-field-for-long-Russian-words.patch patch

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (67786ec) added BR: grilo-0.2
- (Tigro: ae7a09c) drop obsolete configure
- (Tigro: e2e60df) drop patch
- (Tigro: d25f09e) update field patch
- (Tigro: c6e8c4b) update patches
- (Tigro: 8f186fd) update fontconfig patch
- (Tigro: 7372a41) update to 3.12.1

* Wed Mar 12 2014 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.6-2
- (a5a0d6b) Added icon for drakxservices

* Thu Feb 13 2014 akdengi <kazancas@mandriva.ru> 3.8.6-1
- (ff1db4d) Update to 3.8.6

* Thu Feb 13 2014 akdengi <alexander.kazancev@rosalab.ru> 3.8.4.1-9
- (e29daae) use logind instead upower when battery power crytical

* Fri Jan 17 2014 akdengi <kazancas@mandriva.ru> 3.8.4.1-8
- (46d44cd) disable upower patch

* Fri Nov 22 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 3.8.4.1-7
- (86161f5) Increased width for scrollbar


